const express = require('express');
const app = express();
const SerialPort = require('serialport');

const server = app.listen(3000, function () {
    console.log('Example app listening on port 3000!');
})

const io = require('socket.io').listen(server);

const port = new SerialPort('/dev/rfcomm0');
port.on('error', function(err) {
	console.log('Error: ', err.message);
	port.close();
})
port.on('close', function(err) {
	setTimeout(function() {
		port.open();
	}, 2000);
});

const update = data => {
    console.log('recieved ' + data);
	port.write(data, function(err) {
		if (err) {
			return console.log('Error on write: ', err.message);
		}
		console.log('message written');
	});
}

app.use('/', express.static('dist'))

io.on('connection', socket => {
    socket.on('update', data => {
        update(data);
    });
});

