const path = require('path');
const webpack = require('webpack');

module.exports = {
    entry: './src/index.js',
    plugins: [
        new webpack.HotModuleReplacementPlugin(),
    ],
    output: {
        filename: 'bundle.js',
        path: path.resolve(__dirname, 'dist'),
        publicPath: '/'
    },
    module: {
        rules: [
        { test: /\.js$/, exclude: /node_modules/, loader: "babel-loader" }
        ]
    },
    stats: "normal",
    devServer: {
        contentBase: path.join(__dirname, "dist"),
        publicPath: '/',
        hot: true,
        host: '0.0.0.0',
        disableHostCheck: true
    },
};
